# template

## This is the template for creating ansible roles for CwxLab.fr

From the [documentation](https://docs.ansible.com/ansible/latest/user_guide/playbooks_reuse_roles.html):

```
roles/
    common/               # this hierarchy represents a "role"
        tasks/            #
            main.yml      #  <-- tasks file can include smaller files if warranted
        handlers/         #
            main.yml      #  <-- handlers file
        templates/        #  <-- files for use with the template resource
            ntp.conf.j2   #  <------- templates end in .j2
        files/            #
            bar.txt       #  <-- files for use with the copy resource
            foo.sh        #  <-- script files for use with the script resource
        vars/             #
            main.yml      #  <-- variables associated with this role
        defaults/         #
            main.yml      #  <-- default lower priority variables for this role
        meta/             #
            main.yml      #  <-- role dependencies
        library/          # roles can also include custom modules
        module_utils/     # roles can also include custom module_utils
        lookup_plugins/   # or other types of plugins, like lookup in this case

    webtier/              # same kind of structure as "common" was above, done for the webtier role
    monitoring/           # ""
    fooapp/               # ""
```

## Usage

Assuming you have a playbook `play.yml`
```
---
- hosts: localhost
  tasks:
  - import_role:
      name: template
```

You will need to create a folder `roles` and initialize the role in it

```
mkdir roles/
git submodule add cwxlab-fr/library/ansible-role/template roles/template
git submodule init
```
